function init(hero) {
    hero.setName("Space Ghost");
    hero.setTier(3);
    
	hero.setHelmet("Cowl");
    hero.setChestplate("Chestpiece");
    hero.setLeggings("Pants");
    hero.setBoots("Boots");
    
    hero.addAbilities("fiskheroes:invisibility", "fiskheroes:propelled_flight", "fiskheroes:repulsor_blast", "fiskheroes:hover");
    hero.addAttribute("ATTACK_DAMAGE", 0.3, 1);
    hero.addAttribute("PUNCH_DAMAGE", 2.5, 0);
    hero.addAttribute("SWORD_DAMAGE", -1.0, 0);
	hero.addAttribute("FALL_RESISTANCE", 0.5, 1);
	
	hero.addKeyBind("AIM", "key.aim", 1);
    hero.addKeyBind("HOVER", "key.hover", 2);
	hero.addKeyBind("INVISIBILITY", "key.invisibility", 3);
	
	hero.setHasProperty(hasProperty);
    hero.supplyFunction("canAim", canAim);
}

function canAim(entity) {
    return entity.getHeldItem().isEmpty() && !entity.getData("fiskheroes:jetpacking");
}

function hasProperty(entity, property) {
    return property == "BREATHE_UNDERWATER" || property == "BREATHE_SPACE";
}